Blender 2.73a

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
Post Reply
Kliment
Ronin
Ronin
Posts: 3
Joined: 09 Feb 2015, 18:21
Distribution: porteus 3.1
Location: Kiev

Blender 2.73a

Post#1 by Kliment » 09 Feb 2015, 22:43

Hi!
It is very necessary module blender 2.73a.
Tell me how to do? Thank you all!

User avatar
francois
Contributor
Contributor
Posts: 4905
Joined: 28 Dec 2010, 14:25
Distribution: kde xfce porteus manjaro kubun
Location: Enfin l'été, le changement climatique attendu: le soleil.

Re: Blender 2.73a

Post#2 by francois » 10 Feb 2015, 00:35

You need 2.73a, and it is 2.73 available thru usm package manager. So you will have to build from source:
. download blender source:
http://www.blender.org/download/
.download glibc (as it is required as they write it):

Code: Select all

usm - g glibc
.. activate glibc (it will be in the /tmp/usm folder)
.unpack blender
. cd to the directory where you unpacked blender
. follow the instructions in the readme or install file.

Report if there is any problem with building from source.
Voltaire: Le mieux est l'ennemi du bien.

cttan
Shogun
Shogun
Posts: 332
Joined: 26 Jan 2011, 16:15
Distribution: Porteus 3.2 64bit KDE
Location: Malaysia

Re: Blender 2.73a

Post#3 by cttan » 11 Feb 2015, 02:31

Hi Kliment,

It seems like the usm having some issue on this Blender package. Try it one time using this command:-
# usm sbo -b blender

Code: Select all

Downloading: blender.tar.gz  DONE
/tmp/usmsbo ~

Downloading: blender-2.73-linux-glibc211-x86_64.tar.bz2  DONE
          

==============================================================================
WARNING!        WARNING!        WARNING!        WARNING!        WARNING!
==============================================================================
One or more errors occurred while usm was running:                       
 
FATAL ERROR!
 sbo_build 97
md5sum mismatch: blender-2.73-linux-glibc211-x86_64.tar.bz2
 
============================================================================== 
Here is a workaground to build the package. I have found the link in /tmp/usmsbo/blender/blender.info
Download the source file:-
# cd /tmp/usmsbo/blender
# wget http://ftp.nluug.nl/pub/graphics/blende ... 64.tar.bz2

Code: Select all

--2015-02-11 09:22:03--  http://ftp.nluug.nl/pub/graphics/blender/release/Blender2.73/blender-2.73-linux-glibc211-x86_64.tar.bz2
Resolving ftp.nluug.nl (ftp.nluug.nl)... 192.87.102.43, 192.87.102.42, 2001:610:1:80aa:192:87:102:42, ...
Connecting to ftp.nluug.nl (ftp.nluug.nl)|192.87.102.43|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 94057040 (90M) [application/x-bzip2]
Saving to: ‘blender-2.73-linux-glibc211-x86_64.tar.bz2’

100%[=====================================================================================================================================================>] 94,057,040  1014KB/s   in 95s    

2015-02-11 09:23:38 (966 KB/s) - ‘blender-2.73-linux-glibc211-x86_64.tar.bz2’ saved [94057040/94057040]
Run the Slackbuild script:-
./blender.SlackBuild

Code: Select all

blender-2.73-linux-glibc211-x86_64/
blender-2.73-linux-glibc211-x86_64/blenderplayer
blender-2.73-linux-glibc211-x86_64/LICENSE-bfont.ttf.txt
blender-2.73-linux-glibc211-x86_64/readme.html
blender-2.73-linux-glibc211-x86_64/GPL-license.txt
blender-2.73-linux-glibc211-x86_64/GPL3-license.txt
blender-2.73-linux-glibc211-x86_64/LICENSE-droidsans.ttf.txt
blender-2.73-linux-glibc211-x86_64/jemalloc-license.txt
blender-2.73-linux-glibc211-x86_64/Python-license.txt
blender-2.73-linux-glibc211-x86_64/icons/
blender-2.73-linux-glibc211-x86_64/icons/32x32/
blender-2.73-linux-glibc211-x86_64/icons/32x32/apps/
blender-2.73-linux-glibc211-x86_64/icons/32x32/apps/blender.png
blender-2.73-linux-glibc211-x86_64/icons/blender_icon_source.svg
blender-2.73-linux-glibc211-x86_64/icons/256x256/
blender-2.73-linux-glibc211-x86_64/icons/256x256/apps/
blender-2.73-linux-glibc211-x86_64/icons/256x256/apps/blender.png
blender-2.73-linux-glibc211-x86_64/icons/16x16/
blender-2.73-linux-glibc211-x86_64/icons/16x16/apps/
blender-2.73-linux-glibc211-x86_64/icons/16x16/apps/blender.png
blender-2.73-linux-glibc211-x86_64/icons/48x48/
blender-2.73-linux-glibc211-x86_64/icons/48x48/apps/
blender-2.73-linux-glibc211-x86_64/icons/48x48/apps/blender.png
blender-2.73-linux-glibc211-x86_64/icons/scalable/
blender-2.73-linux-glibc211-x86_64/icons/scalable/apps/
blender-2.73-linux-glibc211-x86_64/icons/scalable/apps/blender.svg
...
...
...
usr/doc/blender-2.73/readme.html
usr/doc/blender-2.73/Python-license.txt
usr/doc/blender-2.73/copyright.txt
usr/doc/blender-2.73/GPL-license.txt
WARNING:  zero length file opt/blender/2.73/scripts/addons/netrender/js/netrender_balance.js
WARNING:  zero length file opt/blender/2.73/scripts/addons/io_import_dxf/dxfimport/__init__.py
WARNING:  zero length file opt/blender/2.73/scripts/addons/io_export_dxf/model/__init__.py
WARNING:  zero length file opt/blender/2.73/scripts/addons/rigify/metarigs/__init__.py
WARNING:  zero length file opt/blender/2.73/scripts/addons/rigify/rigs/misc/__init__.py
WARNING:  zero length file opt/blender/2.73/scripts/addons/rigify/rigs/biped/__init__.py
WARNING:  zero length file opt/blender/2.73/scripts/addons/rigify/rigs/basic/__init__.py
WARNING:  zero length file opt/blender/2.73/scripts/addons/rigify/rigs/pitchipoy/limbs/__init__.py
WARNING:  zero length file opt/blender/2.73/scripts/addons/rigify/rigs/pitchipoy/__init__.py
WARNING:  zero length file opt/blender/2.73/scripts/addons/rigify/rigs/__init__.py
WARNING:  zero length file opt/blender/2.73/python/lib/python3.4/pydoc_data/__init__.py
WARNING:  zero length file opt/blender/2.73/python/lib/python3.4/email/mime/__init__.py
WARNING:  zero length file opt/blender/2.73/python/lib/python3.4/urllib/__init__.py
WARNING:  zero length file opt/blender/2.73/python/lib/python3.4/site-packages/requests/packages/urllib3/contrib/__init__.py

Slackware package /tmp/blender-2.73-x86_64-1_SBo.tgz created.
Convert the tgz to xzm and activate it.
You need to add this link to run from terminal:-
# ln -s /opt/blender/blender /usr/bin/blender

Run it:-
# blender

User avatar
ncmprhnsbl
Full of knowledge
Full of knowledge
Posts: 796
Joined: 20 Mar 2012, 03:42
Distribution: 3.2.2-64bit xfce/openbox
Location: australia
Contact:

Re: Blender 2.73a

Post#4 by ncmprhnsbl » 28 Feb 2015, 06:43

it might be worth noting here(too) that the download from blender.org need only be extracted
and run directly from that folder, where ever you want to put it.
ther may be some advantage in a compiled package, but i
would think that hardware specific compile options might be useful.
Forum Rules : http://forum.porteus.org/viewtopic.php?f=35&t=44

Post Reply